MacWrtProStructuresInternal::Block Struct Reference documentation

Public Types | Public Member Functions | Public Attributes | Friends | List of all members
MacWrtProStructuresInternal::Block Struct Reference

Internal: the data block. More...

## Public Types
enum | Type { UNKNOWN, GRAPHIC, TEXT, NOTE }

## Public Member Functions
| Block ()
| the constructor More...
void | fillFrame (MWAWGraphicStyle &style) const
| update the style to include frame style More...
bool | isGraphic () const
| returns true is this is a graphic zone More...
bool | isText () const
| returns true is this is a text zone (or a not) More...
bool | isTable () const
| returns true is this is a table zone More...
bool | hasSameBorders () const
bool | hasBorders () const
MWAWPosition | getPosition () const
MWAWPosition::YPos | getRelativeYPos () const
bool | contains (MWAWBox2f const &box) const
bool | intersects (MWAWBox2f const &box) const

## Public Attributes
int | m_type
| the type More...
Type | m_contentType
| the type More...
int | m_fileBlock
| the file block id More...
int | m_id
| the block id More...
bool | m_attachment
| true if this is an attachment More...
int | m_page
| the page (if absolute) More...
MWAWBox2f | m_box
| the bdbox More...
double | m_borderWList [4]
| the borders width More...
MWAWBorder | m_borderCellList [4]
| the cell borders More...
float | m_baseline
| the baseline ( in point 0=bottom aligned) More...
MWAWColor | m_surfaceColor
| the background color More...
MWAWBorder | m_lineBorder
| the line border More...
int | m_textPos
| filled for pagebreak pos More...
bool | m_isHeader
| filled for header/footer More...
int | m_row
| number of row, filled for table More...
int | m_col
| number of columns, filled for table More...
int | m_textboxCellType
| filled for textbox : 0: unknown/textbox, 1: cell, 2: textbox(opened) More...
std::string | m_extra
| extra data More...
bool | m_send
| true if we have send the data More...

## Friends
std::ostream & | operator<< (std::ostream &o, Block const &bl)
| operator<< More...

## Detailed Description

Internal: the data block.

## Member Enumeration Documentation

## ◆ Type

enum MacWrtProStructuresInternal::Block::Type

Enumerator
UNKNOWN |
GRAPHIC |
TEXT |
NOTE |

## Constructor & Destructor Documentation

## ◆ Block()

MacWrtProStructuresInternal::Block::Block | ( |  | ) |
| inline

the constructor

## Member Function Documentation

## ◆ contains()

bool MacWrtProStructuresInternal::Block::contains | ( | MWAWBox2f const & | box | ) | const
| inline

## ◆ fillFrame()

void MacWrtProStructuresInternal::Block::fillFrame | ( | MWAWGraphicStyle & | style | ) | const
| inline

update the style to include frame style

## ◆ getPosition()

MWAWPosition MacWrtProStructuresInternal::Block::getPosition | ( |  | ) | const
| inline

## ◆ getRelativeYPos()

MWAWPosition::YPos MacWrtProStructuresInternal::Block::getRelativeYPos | ( |  | ) | const
| inline

Referenced by getPosition().

## ◆ hasBorders()

bool MacWrtProStructuresInternal::Block::hasBorders | ( |  | ) | const
| inline

Referenced by fillFrame().

## ◆ hasSameBorders()

bool MacWrtProStructuresInternal::Block::hasSameBorders | ( |  | ) | const
| inline

## ◆ intersects()

bool MacWrtProStructuresInternal::Block::intersects | ( | MWAWBox2f const & | box | ) | const
| inline

## ◆ isGraphic()

bool MacWrtProStructuresInternal::Block::isGraphic | ( |  | ) | const
| inline

returns true is this is a graphic zone

## ◆ isTable()

bool MacWrtProStructuresInternal::Block::isTable | ( |  | ) | const
| inline

returns true is this is a table zone

## ◆ isText()

bool MacWrtProStructuresInternal::Block::isText | ( |  | ) | const
| inline

returns true is this is a text zone (or a not)

## Friends And Related Function Documentation

## ◆ operator<<

std::ostream& operator<< | ( | std::ostream & | o,
|  | Block const & | bl
| ) |  |
| friend

operator<<

## Member Data Documentation

## ◆ m_attachment

bool MacWrtProStructuresInternal::Block::m_attachment

true if this is an attachment

Referenced by getPosition().

## ◆ m_baseline

float MacWrtProStructuresInternal::Block::m_baseline

the baseline ( in point 0=bottom aligned)

Referenced by getRelativeYPos().

## ◆ m_borderCellList

MWAWBorder MacWrtProStructuresInternal::Block::m_borderCellList[4]

the cell borders

Referenced by Block(), and MacWrtProStructuresInternal::Cell::Cell().

## ◆ m_borderWList

double MacWrtProStructuresInternal::Block::m_borderWList[4]

the borders width

Referenced by Block(), fillFrame(), hasBorders(), and hasSameBorders().

## ◆ m_box

MWAWBox2f MacWrtProStructuresInternal::Block::m_box

the bdbox

Referenced by MacWrtProStructuresInternal::Cell::Cell(), contains(), getPosition(), getRelativeYPos(), and intersects().

## ◆ m_col

int MacWrtProStructuresInternal::Block::m_col

number of columns, filled for table

## ◆ m_contentType

Type MacWrtProStructuresInternal::Block::m_contentType

the type

Referenced by getPosition(), isGraphic(), and isText().

## ◆ m_extra

std::string MacWrtProStructuresInternal::Block::m_extra

extra data

## ◆ m_fileBlock

int MacWrtProStructuresInternal::Block::m_fileBlock

the file block id

Referenced by isGraphic(), isTable(), and isText().

## ◆ m_id

int MacWrtProStructuresInternal::Block::m_id

the block id

Referenced by MacWrtProStructuresInternal::Cell::Cell().

## ◆ m_isHeader

bool MacWrtProStructuresInternal::Block::m_isHeader

filled for header/footer

## ◆ m_lineBorder

MWAWBorder MacWrtProStructuresInternal::Block::m_lineBorder

the line border

Referenced by fillFrame(), and hasBorders().

## ◆ m_page

int MacWrtProStructuresInternal::Block::m_page

the page (if absolute)

Referenced by getPosition().

## ◆ m_row

int MacWrtProStructuresInternal::Block::m_row

number of row, filled for table

## ◆ m_send

bool MacWrtProStructuresInternal::Block::m_send

true if we have send the data

## ◆ m_surfaceColor

MWAWColor MacWrtProStructuresInternal::Block::m_surfaceColor

the background color

Referenced by MacWrtProStructuresInternal::Cell::Cell(), and fillFrame().

## ◆ m_textboxCellType

int MacWrtProStructuresInternal::Block::m_textboxCellType

filled for textbox : 0: unknown/textbox, 1: cell, 2: textbox(opened)

## ◆ m_textPos

int MacWrtProStructuresInternal::Block::m_textPos

filled for pagebreak pos

## ◆ m_type

int MacWrtProStructuresInternal::Block::m_type

the type

Referenced by isTable().

The documentation for this struct was generated from the following file:

- MacWrtProStructures.cxx